block.settings.facets_block:
  type: block_settings
  label: 'Facets Block settings'
  mapping:
    show_title:
      type: boolean
      label: 'Show Facet titles'
    exclude_empty_facets:
      type: boolean
      label: 'Exclude empty facets'
    hide_empty_block:
      type: boolean
      label: 'Hide empty block'
    facets_to_include:
      type: sequence
      label: 'Facets to include'
      sequence:
        type: string
    add_js_classes:
      type: boolean
      label: 'Add JS classes for Facets block'
